<!DOCTYPE html>
<html lang="en">

<head>
	<meta charset="UTF-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>File Upload</title>
	<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
</head>

<body>
	<h1>File Upload</h1>
	<form action="/upload" enctype="multipart/form-data" method="post">
		<input type="file" name="file" accept=".csv, .xls">
		<input type="hidden" name="fileInfo">
		<button type="submit">Upload</button>
	</form>
	<div id="messageContainer"></div>
	<script>
		$(document).ready(function () {
			$('input[name="file"]').change(function () {
				var filename = $(this).val().split('\\').pop();
				$('input[name="fileInfo"]').val(filename); 
			});

			var urlParams = new URLSearchParams(window.location.search);
			var message = urlParams.get('message');

			if (message) {
				$('#messageContainer').text(message); 
			}
		});
	</script>
</body>

</html>